org.apache.solr.analysis

## Class MockCharFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.CharFilterFactory
    - - org.apache.solr.analysis.MockCharFilterFactory

-     public class MockCharFilterFactory
      extends org.apache.lucene.analysis.util.CharFilterFactory

  Factory for `MockCharFilter` for testing purposes.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockCharFilterFactory(Map<String,String> args)` Creates a new MockCharFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.MockCharFilter` | `create(Reader input)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory

      `availableCharFilters, forName, lookupClass, reloadCharFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockCharFilterFactory

          public MockCharFilterFactory(Map<String,String> args)

      Creates a new MockCharFilterFactory

  - ### Method Detail

    - #### create

          public org.apache.lucene.analysis.MockCharFilter create(Reader input)

      Specified by:
        `create` in class `org.apache.lucene.analysis.util.CharFilterFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.